package com.cftech.showroom.appform.dao;

import com.cftech.showroom.appform.model.AppForm;
import com.cftech.core.generic.GenericDao;
import com.cftech.showroom.appform.model.AppFormCalendarDto;
import com.cftech.showroom.appform.model.AppFormVo;
import com.cftech.showroom.appform.model.ShowRoomRecord;

import java.util.List;
import java.util.Map;

/**
* 展厅申请单Mapper
*
* @author lisw
* @date: 2019-07-31 15:40
*/
public interface AppFormMapper extends GenericDao<AppForm> {

    Integer isAppointment(Map<String, Object> params);

    List<AppForm> fetchSearchByPageMobile(Map<String, Object> params);

    List<AppFormVo> fetchSearchByPageForList(Map<String, Object> params);

    List<AppFormCalendarDto> getCalendar(Map<String, Object> params);

    List<ShowRoomRecord> getRecordList(Map<String,Object> params);

    List<String> fetchGetName(Map<String,Object> params);
}